%global srcname rq
%bcond_without tests

Name:           python-%{srcname}
Version:        1.12.0
Release:    1%{?dist}
Summary:        Simple, lightweight, library for creating background jobs, and processing them

License:        BSD-2-Clause
URL:            https://python-rq.org
Source0:         https://github.com/rq/rq/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-psutil
BuildRequires:  python3-sentry-sdk
BuildRequires:  redis
%endif

%global _description %{expand:
RQ (Redis Queue) is a simple Python library for queueing jobs
and processing them in the background with workers.
It is backed by Redis and it is designed to have a low barrier to entry.
It should be integrated in your web stack easily.}

%description %{_description}

%package     -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}
Python 3 version.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
exit 0
%if %{with tests}
%{_bindir}/redis-server --bind 127.0.0.1 --port 6379 --daemonize yes &
%pytest -v
%{_libexecdir}/redis-shutdown
%endif

%files -n python3-%{srcname} -f %pyproject_files
%license LICENSE
%doc README.md
%{_bindir}/rq
%{_bindir}/rqinfo
%{_bindir}/rqworker

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.0-1
- initial build
